Create a Customer
POST
/customers
const url = 'http://pay.caspeco.net/customers';const options = { method: 'POST', headers: { Location: 'http://pay.caspeco.net/v1/customers', Host: 'pay.caspeco.net', Date: 'Tue, 15 Nov 2014 08:12:31 GMT', Digest: 'SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=', 'Content-Type': 'application/json' }, body: '{"Id":"46731231231","PersonalIdentityNumber":"881125-1084","Merchant":3,"Msisdn":"46760504040","Email":"test@example.com","PaymentMethod":"invoice","InstallationId":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url http://pay.caspeco.net/customers \ --header 'Content-Type: application/json' \ --header 'Date: Tue, 15 Nov 2014 08:12:31 GMT' \ --header 'Digest: SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=' \ --header 'Host: pay.caspeco.net' \ --header 'Location: http://pay.caspeco.net/v1/customers' \ --data '{ "Id": "46731231231", "PersonalIdentityNumber": "881125-1084", "Merchant": 3, "Msisdn": "46760504040", "Email": "test@example.com", "PaymentMethod": "invoice", "InstallationId": 1 }'Register a new customer.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Location
Host
string
E.g. pay.caspeco.net
Example
pay.caspeco.netDate
string
E.g. Tue, 15 Nov 2014 08:12:31 GMT
Example
Tue, 15 Nov 2014 08:12:31 GMTDigest
string
E.g. SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=
Example
SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=Request Body
Section titled “Request Body”Media typeapplication/json
object
Id
string
PersonalIdentityNumber
string
Merchant
integer
Msisdn
string
Email
string
PaymentMethod
string
InstallationId
integer
Example
{ "Id": "46731231231", "PersonalIdentityNumber": "881125-1084", "Merchant": 3, "Msisdn": "46760504040", "Email": "test@example.com", "PaymentMethod": "invoice", "InstallationId": 1}Responses
Section titled “Responses”Created
Media typeapplication/json
object
Id
string
PersonalIdentityNumber
string
Merchant
integer
Msisdn
string
Email
string
PaymentMethod
string
Examples
Exampleresponse
{ "InitialPortalPassword": "abcd1234"}